<div class="container-fluid">
<%= _.template($('#input_constructor').html())({id:"padxyhdm", description:tr("Captcha Selector"), default_selector: "string", disable_expression:true, disable_int:true, value_string: ">CSS> iframe[id$='Frame'] >FRAME> >CSS> iframe>FRAME> >CSS> #game-core-frame>FRAME> >CSS> button[data-theme*='verifyButton']", help: {description: tr("In this field, you must select your captcha selector, all 3 types of selectors are supported (CSS, MATCH, XPATH). All you need to do is select an element (selector) that triggers a captcha window, such as the 'next' button on the Microsoft mailbox registration form or the 'Go Verify' button on the Twitter registration form. Note that the default selector from this action will work for 80% of captchas.")} }) %>
<%= _.template($('#input_constructor').html())({id:"xasslgdv", description:tr("Solve Method"), default_selector: "string", variants: ["CaptchaGuru (RU Server)", "CaptchaGuru (German Server)", "CaptchaGuru (Finland Server)"], disable_expression:true, disable_int:true, value_string: "", help: {description: tr("In this string you need to specify which of the CaptchaGuru servers you want to send your captcha to. Please note, that captcha solving requests are not sent through a proxy, but directly from the Internet connection of your PC or server. If you observe problems with access to one of the servers, then change the solution server in the settings. It is recommended to use the RU server if you solve captcha on a server or PC from Russia, if your server is located outside of Russia, then it is recommended to use a server in Germany for solving.")} }) %>
<%= _.template($('#input_constructor').html())({id:"vcufqelc", description:tr("Secret API Key"), default_selector: "string", disable_expression:true, disable_int:true, value_string: "", help: {description: tr("In this field, you must specify the secret API key for your solution method, this key must be purchased at the recognition service https://captcha.guru. Example: 1ceb81e1cbd343b136bcc3975f914dd1")} }) %>
<div style="margin-left: 20px;">
<input type="checkbox" id="AdvancedCheck" onchange="$('#Advanced').toggle()" />
<label for="AdvancedCheck" class="tr" >Advanced settings.</label>
</div>
<span id="Advanced" style="display:none">
<%= _.template($('#input_constructor').html())({id:"njxltqyc", description:tr("Click speed"), default_selector: "string", variants: ["Slow","Normal","Fast","Very Fast","Extreme"], disable_expression:true, disable_int:true, value_string: "Slow", help: {description: tr("This parameter determines how quickly this action will be clicked on images in the captcha window. Accepted parameters - slow, normal, fast, very fast, extreme.")} }) %>
<%= _.template($('#input_constructor').html())({id:"eslyxftj", description:tr("Captcha number"), default_selector: "int", disable_string: true, value_number: 0, min_number:0, max_number:999999, help: {description: tr("Optional parameter. Sometimes you can meet several captchas at once on one page and you need to solve the second, or the third, etc. In this case, specify the captcha number for the solution in this field. Note that the countdown starts with 0, that is, the first captcha is zero, the second is 1, etc. Also, if it is necessary to solve not the first captcha in turn, then be sure to change its selector in the main settings.")} }) %>
<%= _.template($('#input_constructor').html())({id:"bjviytym", description:tr("Max Limit Task"), default_selector: "int", disable_string:true, value_number: 10, min_number:0, max_number:100, help: {description: tr("Here you can specify the maximum number of tasks the module should start solving, for example, you have installed proxies, the quality of which is unknown in advance and FunCaptсha offers you to solve 3,5,10, or 20 tasks. Accordingly, it may turn out that in economic terms it is not profitable for you to pay for 20 captcha tasks. In this case, just specify the number of tasks above which you do not need to solve the captcha, the module will return an error - the limit of tasks has been exceeded.")} }) %>
<%= _.template($('#input_constructor').html())({id:"pfkzelqm", description:tr("Saved All Images"), default_selector: "expression", variants: [true, false], disable_int:true, disable_string:true, value_string: false, help: {description: tr("This parameter is needed to save all captchas to a folder on your server or computer. This is necessary, for example, if you want to ask to train or retrain these images in support. This is the default folder for saving images: C/Images/FunCaptcha")} }) %>
</span>
</div>
<div class="tooltipinternal">
<div class="tr tooltip-paragraph-first-fold">Решить <span style="color: #FF00FF;">FunCaptcha</span> любого типа, используя метод кликов по изображению.</div>
<div class="tr tooltip-paragraph-fold"><code>Note! In order to solve this captcha, you need to select the button selector on the site that opens the window with the GeeTest captcha and place it on the selector field in the module settings.</code></div>
<div class="tr tooltip-paragraph-fold"><code>Please note!</code> In order to solve this capcha, you need to resolve the cache in the current thread, you can do this here: the 'Network' module - the 'Allow cache' action. You must create 3 such actions with the following mask - <code>*/rtig/image*</code> and <code>*/fc/gfc*</code> and <code>*blob*</code>.</div>
<div class="tr tooltip-paragraph-fold">You need to place these actions at the beginning of the template, for example, after loading the page with the site where you collected the captcha.</div>
<div class="tr tooltip-paragraph-fold">This action allows you to solve the captcha before successful completion - a green checkmark. All you have to do is select the element (selector) that triggers the captcha solution and place it in the selector field.</div>
<div class="tr tooltip-paragraph-fold">This can be, for example, the 'Next' button on the Microsoft mail registration form or the 'Get verified' button on the Twitter registration form.</div>
<div class="tr tooltip-paragraph-fold">This action performs automatic clicks on image numbers or coordinates, takes a screenshot of the image and sends it to the service or program you specified by the capch solution. There is no need to perform any additional actions.</div>
<div class="tr tooltip-paragraph-fold">This solution method is convenient in that you do not need to search for how to call 'callback' on the site, study complex JavaScripts in order to successfully pass the captcha solution.</div>
<div class="tr tooltip-paragraph-fold">Pay attention! This action does not create any 'dangerous code' inside the browser and does not break other types of captcha on sites, as the actions to solve captcha from the context menu do.</div>
<div class="tr tooltip-paragraph-fold">This means that you do not need to constantly disable or enable this module in your scripts for fear of sanctions from the site. For example, when you warm up a profile, this action will not create any new properties of the window object or even replace the current ones.</div>
<div class="tr tooltip-paragraph-last-fold">To speed up the solution of captcha, it is recommended to use good proxies (mobile or resident), as well as a warmed-up profile. In this case, Arkose Labs can give you only 1 square with images before the captcha is successfully solved.</div>
</div>
<%= _.template($('#back').html())({action:"executeandadd", visible:true}) %>
