<div class="container-fluid">
<%= _.template($('#input_constructor').html())({id:"lrdcoclk", description:tr("Captcha Selector"), default_selector: "string", disable_expression:true, disable_int:true, value_string: ">CSS> iframe[src*='checkbox']>FRAME> >CSS> #checkbox", help: {description: tr("In this field, you must select the selector of your captcha, all 3 types of selectors (CSS, MATCH, XPATH) are supported. All you need to do is select any selector inside the hCaptcha window, such as the text 'I am Human' or an empty check box located to the left of the text. If your captcha type is Invisible, then you need to select a selector inside the captcha window (pictures, task or any other button). Note the default selector from this action is suitable for 80% captch.")} }) %>
<%= _.template($('#input_constructor').html())({id:"dvdtykoq", description:tr("Solve Method"), default_selector: "string", variants: ["CaptchaGuru (RU Server)", "CaptchaGuru (German Server)", "CaptchaGuru (Finland Server)"], disable_expression:true, disable_int:true, value_string: "", help: {description: tr("In this string you need to specify which of the CaptchaGuru servers you want to send your captcha to. Please note, that captcha solving requests are not sent through a proxy, but directly from the Internet connection of your PC or server. If you observe problems with access to one of the servers, then change the solution server in the settings. It is recommended to use the RU server if you solve captcha on a server or PC from Russia, if your server is located outside of Russia, then it is recommended to use a server in Germany for solving.")} }) %>
<%= _.template($('#input_constructor').html())({id:"fcpwanit", description:tr("Secret API Key"), default_selector: "string", disable_expression:true, disable_int:true, value_string: "", help: {description: tr("In this field, you must specify the secret API key for your solution method, this key must be purchased at the recognition service https://captcha.guru. Example: 1ceb81e1cbd343b136bcc3975f914dd1")} }) %>
<div style="margin-left: 20px;">
<input type="checkbox" id="AdvancedCheck" onchange="$('#Advanced').toggle()" />
<label for="AdvancedCheck" class="tr" >Advanced settings.</label>
</div>
<span id="Advanced" style="display:none">
<%= _.template($('#input_constructor').html())({id:"msnryoho", description:tr("Click speed"), default_selector: "string", variants: ["Slow","Normal","Fast","Very Fast","Extreme"], disable_expression:true, disable_int:true, value_string: "Slow", help: {description: tr("This parameter determines how quickly this action will be clicked on images in the captcha window. Accepted parameters - slow, normal, fast, very fast, extreme.")} }) %>
<%= _.template($('#input_constructor').html())({id:"zrrqazij", description:tr("Captcha number"), default_selector: "int", disable_string: true, value_number: 0, min_number:0, max_number:999999, help: {description: tr("Optional parameter. Sometimes you can meet several captchas at once on one page and you need to solve the second, or the third, etc. In this case, specify the captcha number for the solution in this field. Note that the countdown starts with 0, that is, the first captcha is zero, the second is 1, etc. Also, if it is necessary to solve not the first captcha in turn, then be sure to change its selector in the main settings.")} }) %>
<%= _.template($('#input_constructor').html())({id:"vuwpevzj", description:tr("Attempts to solve"), default_selector: "int", disable_string: true, value_number: 25, min_number:-999999, max_number:999999, help: {description: tr("This value determines the maximum number of attempts to solve the captcha by clicking on the image, for 1 attempt the solved image with the number of squares equal to 3x3 is counted. The recommended value is 25. For low-quality proxies, this number can be slightly increased.")} }) %>
<%= _.template($('#input_constructor').html())({id:"vzvalybc", description:tr("Invisible Captcha"), default_selector: "expression", variants: [true, false], disable_int:true, disable_string:true, value_string: false, help: {description: tr("Invisible hCaptcha - is a captcha where there is no 'I am human' flag, it is loaded immediately after clicking on a button on the site, for example, the 'Register' button or the 'Submit' button. If your captcha is of such a variant, in this action you must select the 'true' option, then the module will activate an additional action that will wait for this captcha. This is necessary to correctly retrieve data from their query cache.")} }) %>
<%= _.template($('#input_constructor').html())({id:"zehdyqok", description:tr("Clear cache after solution"), default_selector: "expression", variants: [true, false], disable_int:true, disable_string:true, value_string: true, help: {description: tr("This parameter allows you to configure the behavior of the module after a successful captcha solving, set the value with the parameter 'False' and then the module will not clear the cache after solving the captcha.")} }) %>
</span>
</div>
<div class="tooltipinternal">
<div class="tr tooltip-paragraph-first-fold">Решить <span style="color: #00C6BF;">hCaptcha</span> любого типа <code>(Normal, Invisible, Enterprise)</code>, используя метод кликов по изображению.</div>
<div class="tr tooltip-paragraph-fold">This action allows you to solve the captcha before successful completion - a green tick. All you need to do is select any element inside the hCaptcha window, such as the text 'I am human' or an empty check box located to the left of the text.</div>
<div class="tr tooltip-paragraph-fold">If there are no such elements, then rather the type of your Invisible hCaptcha captcha is such an invisible captcha where there is no 'I am human' check box, it appears by clicking on a button on the site, for example, 'Registration'.</div>
<div class="tr tooltip-paragraph-fold"><code>In this case, you need to select any selector within the visible captcha window (task, image, etc.) and place it in the selector field in the module settings.</code></div>
<div class="tr tooltip-paragraph-fold"><code>Pay your attention!</code> In order to solve the Invisible captca type, it is necessary to enable the cache in the current thread, this can be done here: module 'Network' - action 'Enable cache'.</div>
<div class="tr tooltip-paragraph-fold">Then you need to create two such actions with the following mask - <code>*hcaptcha.com/getcaptcha*</code> and <code>*imgs.hcaptcha.com*</code>. And you also need to set the value to true Invisible hCaptha in the advanced settings.</div>
<div class="tr tooltip-paragraph-fold">You need to place these actions at the beginning of the template, for example, after loading the page with the site where you collected the captcha.</div>
<div class="tr tooltip-paragraph-fold">This action performs automatic clicks on image numbers or coordinates, takes a screenshot of the image and sends it to the service or program you specified by the capch solution. There is no need to perform any additional actions.</div>
<div class="tr tooltip-paragraph-fold">This solution method is convenient in that you do not need to search for how to call 'callback' on the site, study complex JavaScripts in order to successfully pass the captcha solution.</div>
<div class="tr tooltip-paragraph-fold">Pay attention! This action does not create any 'dangerous code' inside the browser and does not break other types of captcha on sites, as the actions to solve captcha from the context menu do.</div>
<div class="tr tooltip-paragraph-fold">This means that you do not need to constantly disable or enable this module in your scripts for fear of sanctions from the site. For example, when you warm up a profile, this action will not create any new properties of the window object or even replace the current ones.</div>
<div class="tr tooltip-paragraph-last-fold">To speed up the solution of captcha, it is recommended to use good proxies (mobile or resident), as well as a warmed-up profile. In this case, hCaptcha can give you only 1 square with images before the captcha is successfully solved.</div>
</div>
<%= _.template($('#back').html())({action:"executeandadd", visible:true}) %>
